# base-in-front-end
管理后台基础框架

# 目录结构
```
_screenshot             截图指南
public                  静态文件（不会编译打包）
src
    -|  api             接口类（根据服务端接口文档/Swagger-ui）
    -|  assets          静态文件（编译打包）
    -|  components      业务封装的组件
    -|  constants       静态常量
    -|  filters         过滤器（Vue Filter）
    -|  plugins         插件（第三方的依赖、给main.js文件解耦）
    -|  router          路由配置（Vue-Router）
    -|  utils           工具类（JS常用方法封装）
    -|  views           视图页面
    -|  App.vue
    -|  main.js
```

# 知识准备
## Vue 全家桶
### Vue-CLI
- https://www.bilibili.com/video/BV1U5411h7oH

### Vue2.*
- https://www.bilibili.com/video/BV1Zb411T7dm
- https://www.bilibili.com/video/BV1qb41187fZ
- https://www.bilibili.com/video/BV1H7411j7Mc

### Vue-Router
- https://www.bilibili.com/video/BV1cK411572A
- https://www.bilibili.com/video/BV1Pt411e7aH
- https://www.bilibili.com/video/BV1bV411r7mg

### Vuex
- https://www.bilibili.com/video/BV1h7411N7bg
- https://www.bilibili.com/video/BV1gt4y1X78g
- https://www.bilibili.com/video/BV1gt4y1X78g

## UI
### Element-ui
- https://www.bilibili.com/video/BV1YE411A746
- https://www.bilibili.com/video/BV1EE411B7SU


## 网路请求
### axios

# 效果图
![](/_screenshot/WX20200225-144536.png)

# 如何启动
## 切换阿里私服
- 切换
`npm config set registry https://registry.npm.taobao.org/`

- 检查是否切换成功
`npm config get registry`

## 安装依赖
`npm install`

## 运行项目
`npm run serve`
