package com.example.demo.config;

import com.example.demo.dto.request.exam.GetStemsFromFeign;
import com.example.demo.dto.response.feign.FeignResponse;
import com.example.demo.dto.response.feign.GetStemsResponse;
import feign.Headers;
import feign.Param;
import feign.RequestLine;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * feign接口
 */
public interface StemAPI {

    @RequestLine("GET /wx/stem/{stemId}")
    FeignResponse get(@Param("stemId") String stemId);

    @RequestLine("POST /wx/stem/search")
    @Headers(value={"Content-type:application/json;charset=UTF-8"})
    GetStemsResponse getStems(@RequestBody GetStemsFromFeign request);

}