package com.example.demo.dto.request.stem;

import com.example.demo.entity.Option;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@ApiModel("题库-题目[dto]")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class StemDto {

    @ApiModelProperty("对象标识")
    private String id;

    @ApiModelProperty("题干")
    private String name;

    @ApiModelProperty("题目类型")
    private String type;

    @ApiModelProperty("学科")
    private String subject;

    @ApiModelProperty("年级分类")
    private String groupName;

    @ApiModelProperty("年级")
    private String gradeName;

    @ApiModelProperty("题目解析")
    private String analysis;

    @ApiModelProperty("题干选项")
    private List<Option> optionList;

    @ApiModelProperty("知识点标识")
    private String knowledgePointId;

    @ApiModelProperty("知识点名称")
    private String knowledgePointName;

    @ApiModelProperty("知识点ID列表")
    private List<String> knowledgeIdList;

    @ApiModelProperty("标签列表")
    private List<LabelDto> labelList;

    @ApiModelProperty("租户id")
    private String tenantId;

}
