package com.example.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;
import java.util.Set;

/**
 * @Author hxh
 * @Date 2020-09-15 22:18
 * @Descrption paper实体类
 */

@ApiModel(description = "试卷实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("paper")
public class Paper {

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("试卷名")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty("年级分类")
    @TableField(value = "groupName")
    private String groupName;

    @ApiModelProperty("年级")
    @TableField(value = "gradeName")
    private String gradeName;

    @ApiModelProperty("学科")
    @TableField(value = "subject")
    private String subject;

    @ApiModelProperty("试卷类型")
    @TableField(value = "type")
    private int type;

//    @ApiModelProperty("试卷项集")
//    @TableField(exist = false)
//    private List<PaperItem> paperItems;

}
